/* 
 * tclAppInit.c --
 *
 */

#include "tcl.h"
#include "tk.h"
#ifdef itcl 
#include "itcl.h"
#include "itk.h"
#endif

int EqCmd(ClientData clientData, Tcl_Interp *interp,
		int argc, char *argv[]) {
   if (argc != 3) {
	   interp->result = "wrong # args";
	   return TCL_ERROR;
   }
   if (strcmp(argv[1], argv[2]) == 0) {
	   interp->result = "1";
   } else {
	   interp->result = "0";
   }
   return TCL_OK;
}

/*
 *----------------------------------------------------------------------
 *
 * Tcl_AppInit --
 *
 *	This procedure performs application-specific initialization.
 *	Most applications, especially those that incorporate additional
 *	packages, will have their own version of this procedure.
 *
 * Results:
 *	Returns a standard Tcl completion code, and leaves an error
 *	message in interp->result if an error occurs.
 *
 * Side effects:
 *	Depends on the startup script.
 *
 *----------------------------------------------------------------------
 */

int
Tcl_AppInit(interp)
    Tcl_Interp *interp;		/* Interpreter for application. */
{
    /*
     * Call the init procedures for included packages.  Each call should
     * look like this:
     *
     * if (Mod_Init(interp) == TCL_ERROR) {
     *     return TCL_ERROR;
     * }
     *
     * where "Mod" is the name of the module.
     */

    if (Tcl_Init(interp) == TCL_ERROR) {
	return TCL_ERROR;
    }

#ifdef tk    
    if (Tk_Init(interp) == TCL_ERROR) {
	return TCL_ERROR;
    }
#endif
    
#ifdef itcl    
    if (Itcl_Init(interp) == TCL_ERROR) {
	return TCL_ERROR;
    }
#endif

#ifdef itk
    if (Itk_Init(interp) == TCL_ERROR) {
	return TCL_ERROR;
    }
#endif

    /*
     * Call Tcl_CreateCommand for application-specific commands, if
     * they weren't already created by the init procedures called above.
     */
    Tcl_CreateCommand(interp,"eq",EqCmd,NULL,NULL);

    return TCL_OK;
}



